org.gradle.api.artifacts

## Interface FileCollectionDependency

- All Superinterfaces:
    Buildable, Dependency, SelfResolvingDependency

      public interface FileCollectionDependency
      extends SelfResolvingDependency

  A `FileCollectionDependency` is a `Dependency` on a collection of local files which are not stored in a repository.

- - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.artifacts.Dependency

      `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileCollection` | `getFiles()` Returns the files attached to this dependency.
    `void` | `registerWatchPoints(org.gradle.api.internal.file.FileSystemSubset.Builder builder)` Deprecated. Use `getFiles()` instead.

    - ### Methods inherited from interface org.gradle.api.artifacts.SelfResolvingDependency

      `resolve, resolve`

    - ### Methods inherited from interface org.gradle.api.artifacts.Dependency

      `contentEquals, copy, getGroup, getName, getVersion`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getFiles

          @Incubating
          FileCollection getFiles()

      Returns the files attached to this dependency.
      Since:
        3.3

    - #### registerWatchPoints

          @Deprecated
          void registerWatchPoints(org.gradle.api.internal.file.FileSystemSubset.Builder builder)

      Deprecated. Use `getFiles()` instead.
      Registers locations to watch for this dependency.